## hamster-sidejack 2.0

=== build/gcc4/Makefile ===
# This will point to the root of the FERRET project
SRCDIR = ../../src
DSTDIR = ../../bin
TMPDIR = ../../tmp

LIBS = -ldl -lpthread
INCLUDES = -I. -I$(SRCDIR) -I$(SRCDIR)/include

CC = gcc
CFLAGS = -g $(INCLUDES) -Wall

.SUFFIXES: .c .cpp


$(TMPDIR)/%.o: $(SRCDIR)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

$(TMPDIR)/%.o: $(SRCDIR)/%.cpp
	$(CC) $(CFLAGS) -c $< -o $@


c_sources := $(wildcard $(SRCDIR)/*.c)
cpp_sources := $(wildcard $(SRCDIR)/*.cpp)

SRC = $(c_sources) $(cpp_sources)

OBJ = $(addprefix $(TMPDIR)/, $(notdir $(addsuffix .o, $(basename $(SRC)))))

$(DSTDIR)/hamster: $(OBJ)
	$(CC) $(CFLAGS) -o $@ $(OBJ) -lm $(LIBS) -lstdc++

depend:
	makedepend $(CFLAGS) -Y $(SRC)

clean:
	rm -f $(OBJ)

=== debian/changelog ===
hamster-sidejack (2.0-1kali6) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add patch to fix ferret's binary name.
  * d/watch: Add watch file pointing to git repository.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 01 Mar 2023 13:01:11 -0600

hamster-sidejack (2.0-1kali5) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Sophie Brun ]
  * Bump Standards-Version to 4.5.1
  * Refresh patch
  * Change command name and installation directory: now the command is
    hamster-sidejack (see 7101)
  * Build with fortify functions
  * Fix permissions of /usr/lib/hamster-sidejack/favicon.ico
  * Add a patch to fix a spelling error

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 17 Mar 2021 10:10:38 +0100

hamster-sidejack (2.0-1kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Dec 2020 09:42:50 +0100

hamster-sidejack (2.0-1kali3) kali; urgency=low

  * Removed desktop files

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 15:22:54 -0500

hamster-sidejack (2.0-1kali2) kali; urgency=low

  * Updated copyright

 -- Devon Kearns <dookie@kali.org>  Mon, 26 Nov 2012 16:34:05 -0700

hamster-sidejack (2.0-1kali1) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 26 Nov 2012 13:09:29 -0700

=== debian/control ===
Source: hamster-sidejack
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Mati Aharoni <muts@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://www.erratasec.com/research.html
Vcs-Git: https://gitlab.com/kalilinux/packages/hamster-sidejack.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hamster-sidejack

Package: hamster-sidejack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sidejacking tool
 Hamster is tool or "sidejacking". It acts as a proxy server that
 replaces your cookies with session cookies stolen from somebody
 else, allowing you to hijack their sessions.
 .
 Cookies are sniffed using the Ferret program. You need a copy of
 that as well.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install bin/* $(CURDIR)/debian/hamster-sidejack/usr/lib/hamster-sidejack/

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/hamster-sidejack/usr/lib/hamster-sidejack/favicon.ico

=== debian/watch ===
version=4
opts="mode=git,pretty=2.0~git%cd" \
  https://github.com/robertdavidgraham/hamster HEAD
